<dx-form [colCount]='2' [formData]='edit.model' (onInitialized)='onFormReady($event)' [showValidationSummary]="false"
  validationGroup="wcValidation" labelLocation="left">

  <dxi-item [colSpan]='2' [label]="{text: 'Denumire' }" dataField="name" editorType="dxTextBox" [editorOptions]="{}">
    <dxi-validation-rule type="required"></dxi-validation-rule>
  </dxi-item>
  <dxi-item [label]="{text: 'Județ'}" dataField="countyId" editorType="dxSelectBox" 
    [editorOptions]="{ dataSource: dsCounty, valueExpr: 'id', displayExpr: 'name', onValueChanged: onCountyChanged, searchEnabled: true, showClearButton: true }">
    <dxi-validation-rule type="required"></dxi-validation-rule>
  </dxi-item>
  <dxi-item [label]="{text: 'Localitate'}" dataField="localityId" editorType="dxSelectBox" 
    [editorOptions]="{ dataSource: dsLocality, valueExpr: 'id', displayExpr: 'name', onInitialized: onLocalityInit, searchEnabled: true, showClearButton: true }">
    <dxi-validation-rule type="required"></dxi-validation-rule>
  </dxi-item>
  <dxi-item [label]="{text: 'Adresa'}" [colSpan]='2' dataField="address" editorType="dxTextBox" [editorOptions]="{}">
    <dxi-validation-rule type="required"></dxi-validation-rule>
  </dxi-item>
</dx-form>